<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Marking Structure Reference</title>
    <link rel="stylesheet" type="text/css" href="../css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="../css/highlight.css" />
    <meta charset='utf-8'>
    <script src="../js/jquery.min.js" defer></script>
    <script src="../js/jazzy.js" defer></script>
    
  </head>
  <body>
    <a name="//apple_ref/swift/Struct/Marking" class="dashAnchor"></a>
    <a title="Marking Structure Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="../index.html"> Docs</a> (96% documented)</p>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="../index.html"> Reference</a>
        <img id="carat" src="../img/carat.png" />
        Marking Structure Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="../Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Protocols/Place.html">Place</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols.html#/s:8PetriNet10TransitionP">Transition</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Structs.html">Structures</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Structs/Marking.html">Marking</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/PetriNet.html">PetriNet</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/PetriNet/ArcDescription.html">– ArcDescription</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/TotalMap.html">TotalMap</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>Marking</h1>
              <div class="declaration">
                <div class="language">
                  <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">struct</span> <span class="kt">Marking</span><span class="o">&lt;</span><span class="kt">PlaceType</span><span class="o">&gt;</span> <span class="k">where</span> <span class="kt">PlaceType</span> <span class="p">:</span> <span class="kt"><a href="../Protocols/Place.html">Place</a></span></code></pre>

                </div>
              </div>
            <p>A marking of a Petri net.</p>

<p>A marking is a mapping that associates the places of a Petri net to the tokens they contain.</p>

<p>An algebra is defined over markings if the type used to represent the tokens associated with
each place (i.e. <code>PlaceType</code>) allows it. More specifically, markings are comparable if tokens
are too, and even conform to <code>AdditiveArithmetic</code> if tokens do to.</p>

<p>The following example illustrates how to perform arithmetic operations of markings:</p>
<pre class="highlight swift"><code><span class="k">let</span> <span class="nv">m0</span><span class="p">:</span> <span class="kt">Marking</span><span class="o">&lt;</span><span class="kt">P</span><span class="o">&gt;</span> <span class="o">=</span> <span class="p">[</span><span class="o">.</span><span class="nv">p0</span><span class="p">:</span> <span class="mi">1</span><span class="p">,</span> <span class="o">.</span><span class="nv">p1</span><span class="p">:</span> <span class="mi">2</span><span class="p">]</span>
<span class="k">let</span> <span class="nv">m1</span><span class="p">:</span> <span class="kt">Marking</span><span class="o">&lt;</span><span class="kt">P</span><span class="o">&gt;</span> <span class="o">=</span> <span class="p">[</span><span class="o">.</span><span class="nv">p0</span><span class="p">:</span> <span class="mi">0</span><span class="p">,</span> <span class="o">.</span><span class="nv">p1</span><span class="p">:</span> <span class="mi">1</span><span class="p">]</span>
<span class="nf">print</span><span class="p">(</span><span class="n">m0</span> <span class="o">+</span> <span class="n">m1</span><span class="p">)</span>
<span class="c1">// Prints "[.p0: 1, .p1: 3]"</span>
</code></pre>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:8PetriNet7MarkingVyACyxGAA8TotalMapVyx7ContentQzGcfc"></a>
                    <a name="//apple_ref/swift/Method/init(_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:8PetriNet7MarkingVyACyxGAA8TotalMapVyx7ContentQzGcfc">init(_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Initializes a marking with a total map.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="nf">init</span><span class="p">(</span><span class="n">_</span> <span class="nv">mapping</span><span class="p">:</span> <span class="kt"><a href="../Structs/TotalMap.html">TotalMap</a></span><span class="o">&lt;</span><span class="kt">PlaceType</span><span class="p">,</span> <span class="kt">PlaceType</span><span class="o">.</span><span class="kt">Content</span><span class="o">&gt;</span><span class="p">)</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>mapping</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>A total map representing this marking.</p>
                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:8PetriNet7MarkingVyACyxGSDyx7ContentQzGcfc"></a>
                    <a name="//apple_ref/swift/Method/init(_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:8PetriNet7MarkingVyACyxGSDyx7ContentQzGcfc">init(_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Initializes a marking with a dictionary.</p>

<p>The following example illustrates the use of this initializer:</p>
<pre class="highlight swift"><code><span class="k">let</span> <span class="nv">marking</span> <span class="o">=</span> <span class="kt">Marking</span><span class="p">([</span><span class="o">.</span><span class="nv">p0</span><span class="p">:</span> <span class="mi">42</span><span class="p">,</span> <span class="o">.</span><span class="nv">p1</span><span class="p">:</span> <span class="mi">1337</span><span class="p">])</span>
</code></pre>
<div class="aside aside-warning">
    <p class="aside-title">Warning</p>
    The given dictionary must be defined for all places, otherwise an error will be triggered
at runtime.

</div>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="nf">init</span><span class="p">(</span><span class="n">_</span> <span class="nv">mapping</span><span class="p">:</span> <span class="p">[</span><span class="kt">PlaceType</span> <span class="p">:</span> <span class="kt">PlaceType</span><span class="o">.</span><span class="kt">Content</span><span class="p">])</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>mapping</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>A dictionary representing this marking.</p>
                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:8PetriNet7MarkingVyACyxG7ContentQzxKXEKcfc"></a>
                    <a name="//apple_ref/swift/Method/init(_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:8PetriNet7MarkingVyACyxG7ContentQzxKXEKcfc">init(_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Initializes a marking with a function.</p>

<p>The following example illustrates the use of this initializer:</p>
<pre class="highlight swift"><code><span class="k">let</span> <span class="nv">marking</span> <span class="o">=</span> <span class="kt">Marking</span> <span class="p">{</span> <span class="n">place</span> <span class="k">in</span>
  <span class="k">switch</span> <span class="n">place</span> <span class="p">{</span>
  <span class="k">case</span> <span class="o">.</span><span class="nv">p0</span><span class="p">:</span> <span class="k">return</span> <span class="mi">42</span>
  <span class="k">case</span> <span class="o">.</span><span class="nv">p1</span><span class="p">:</span> <span class="k">return</span> <span class="mi">1337</span>
  <span class="p">}</span>
<span class="p">}</span>
</code></pre>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="nf">init</span><span class="p">(</span><span class="n">_</span> <span class="nv">mapping</span><span class="p">:</span> <span class="p">(</span><span class="kt">PlaceType</span><span class="p">)</span> <span class="k">throws</span> <span class="o">-&gt;</span> <span class="kt">PlaceType</span><span class="o">.</span><span class="kt">Content</span><span class="p">)</span> <span class="k">rethrows</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>mapping</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>A function mapping places to the tokens they contain.</p>
                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:8PetriNet7MarkingVy7ContentQzxcip"></a>
                    <a name="//apple_ref/swift/Method/subscript(_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:8PetriNet7MarkingVy7ContentQzxcip">subscript(_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Accesses the tokens associated with the given place for reading and writing.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="nf">subscript</span><span class="p">(</span><span class="nv">place</span><span class="p">:</span> <span class="kt">PlaceType</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">PlaceType</span><span class="o">.</span><span class="kt">Content</span> <span class="p">{</span> <span class="k">get</span> <span class="k">set</span> <span class="p">}</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:8PetriNet7MarkingV6places8AllCasesQzvp"></a>
                    <a name="//apple_ref/swift/Property/places" class="dashAnchor"></a>
                    <a class="token" href="#/s:8PetriNet7MarkingV6places8AllCasesQzvp">places</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>A collection containing just the places of the marking.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="k">var</span> <span class="nv">places</span><span class="p">:</span> <span class="kt">PlaceType</span><span class="o">.</span><span class="kt">AllCases</span> <span class="p">{</span> <span class="k">get</span> <span class="p">}</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:s30ExpressibleByDictionaryLiteralP010dictionaryD0x3KeyQz_5ValueQztd_tcfc"></a>
                    <a name="//apple_ref/swift/Method/init(dictionaryLiteral:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:s30ExpressibleByDictionaryLiteralP010dictionaryD0x3KeyQz_5ValueQztd_tcfc">init(dictionaryLiteral:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="nf">init</span><span class="p">(</span><span class="n">dictionaryLiteral</span> <span class="nv">elements</span><span class="p">:</span> <span class="p">(</span><span class="kt">PlaceType</span><span class="p">,</span> <span class="kt">PlaceType</span><span class="o">.</span><span class="kt">Content</span><span class="p">)</span><span class="o">...</span><span class="p">)</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:SL1loiySbx_xtFZ"></a>
                    <a name="//apple_ref/swift/Method/&lt;(_:_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:SL1loiySbx_xtFZ">&lt;(_:_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">static</span> <span class="kd">func</span> <span class="o">&lt;</span> <span class="p">(</span><span class="nv">lhs</span><span class="p">:</span> <span class="kt">Marking</span><span class="p">,</span> <span class="nv">rhs</span><span class="p">:</span> <span class="kt">Marking</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">Bool</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:8PetriNet7MarkingVAAs18AdditiveArithmetic7ContentRpzrlE7partialACyxGSDyxAFG_tcfc"></a>
                    <a name="//apple_ref/swift/Method/init(partial:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:8PetriNet7MarkingVAAs18AdditiveArithmetic7ContentRpzrlE7partialACyxGSDyxAFG_tcfc">init(partial:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Initializes a marking with a dictionary, associating <code>PlaceType.Content.zero</code> for unassigned
places.</p>

<p>The following example illustrates the use of this initializer:</p>
<pre class="highlight swift"><code><span class="k">let</span> <span class="nv">marking</span> <span class="o">=</span> <span class="kt">Marking</span><span class="p">([</span><span class="o">.</span><span class="nv">p0</span><span class="p">:</span> <span class="mi">42</span><span class="p">])</span>
<span class="nf">print</span><span class="p">(</span><span class="n">marking</span><span class="p">)</span>
<span class="c1">// Prints "[.p0: 42, .p1: 0]"</span>
</code></pre>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="nf">init</span><span class="p">(</span><span class="n">partial</span> <span class="nv">mapping</span><span class="p">:</span> <span class="p">[</span><span class="kt">PlaceType</span> <span class="p">:</span> <span class="kt">PlaceType</span><span class="o">.</span><span class="kt">Content</span><span class="p">])</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>mapping</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>A dictionary representing this marking.</p>
                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:8PetriNet7MarkingVAAs18AdditiveArithmetic7ContentRpzrlE4zeroACyxGvpZ"></a>
                    <a name="//apple_ref/swift/Variable/zero" class="dashAnchor"></a>
                    <a class="token" href="#/s:8PetriNet7MarkingVAAs18AdditiveArithmetic7ContentRpzrlE4zeroACyxGvpZ">zero</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>A marking in which all places are associated with <code>PlaceType.Content.zero</code>.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">static</span> <span class="k">var</span> <span class="nv">zero</span><span class="p">:</span> <span class="kt">Marking</span> <span class="p">{</span> <span class="k">get</span> <span class="p">}</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:s18AdditiveArithmeticP1poiyxx_xtFZ"></a>
                    <a name="//apple_ref/swift/Method/+(_:_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:s18AdditiveArithmeticP1poiyxx_xtFZ">+(_:_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">static</span> <span class="kd">func</span> <span class="o">+</span> <span class="p">(</span><span class="nv">lhs</span><span class="p">:</span> <span class="kt">Marking</span><span class="p">,</span> <span class="nv">rhs</span><span class="p">:</span> <span class="kt">Marking</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">Marking</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:s18AdditiveArithmeticP2peoiyyxz_xtFZ"></a>
                    <a name="//apple_ref/swift/Method/+=(_:_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:s18AdditiveArithmeticP2peoiyyxz_xtFZ">+=(_:_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">static</span> <span class="kd">func</span> <span class="o">+=</span> <span class="p">(</span><span class="nv">lhs</span><span class="p">:</span> <span class="k">inout</span> <span class="kt">Marking</span><span class="p">,</span> <span class="nv">rhs</span><span class="p">:</span> <span class="kt">Marking</span><span class="p">)</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:s18AdditiveArithmeticP1soiyxx_xtFZ"></a>
                    <a name="//apple_ref/swift/Method/-(_:_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:s18AdditiveArithmeticP1soiyxx_xtFZ">-(_:_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">static</span> <span class="kd">func</span> <span class="o">-</span> <span class="p">(</span><span class="nv">lhs</span><span class="p">:</span> <span class="kt">Marking</span><span class="p">,</span> <span class="nv">rhs</span><span class="p">:</span> <span class="kt">Marking</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">Marking</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:s18AdditiveArithmeticP2seoiyyxz_xtFZ"></a>
                    <a name="//apple_ref/swift/Method/-=(_:_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:s18AdditiveArithmeticP2seoiyyxz_xtFZ">-=(_:_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">static</span> <span class="kd">func</span> <span class="o">-=</span> <span class="p">(</span><span class="nv">lhs</span><span class="p">:</span> <span class="k">inout</span> <span class="kt">Marking</span><span class="p">,</span> <span class="nv">rhs</span><span class="p">:</span> <span class="kt">Marking</span><span class="p">)</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:s23CustomStringConvertibleP11descriptionSSvp"></a>
                    <a name="//apple_ref/swift/Property/description" class="dashAnchor"></a>
                    <a class="token" href="#/s:s23CustomStringConvertibleP11descriptionSSvp">description</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="k">var</span> <span class="nv">description</span><span class="p">:</span> <span class="kt">String</span> <span class="p">{</span> <span class="k">get</span> <span class="p">}</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2019 <a class="link" href="" target="_blank" rel="external"></a>. All rights reserved. (Last updated: 2019-10-01)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external">jazzy ♪♫ v0.11.2</a>, a <a class="link" href="https://realm.io" target="_blank" rel="external">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</div>
</html>
